Bug 675529 - Review Request: perl-Test-CheckManifest - Check if your Manifest matches your distro
Summary: Review Request: perl-Test-CheckManifest - Check if your Manifest matches your...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Iain Arnell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 675542
TreeView+ depends on / blocked
 
Reported: 2011-02-06 11:16 UTC by Ralf Corsepius
Modified: 2011-08-13 14:35 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-01 03:10:46 UTC
iarnell: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralf Corsepius 2011-02-06 11:16:29 UTC
Spec URL: http://corsepiu.fedorapeople.org/packages/perl-Test-CheckManifest.spec
SRPM URL: http://corsepiu.fedorapeople.org/packages/perl-Test-CheckManifest-1.22-1.fc15.src.rpm
Description:
Check if your Manifest matches your distro

Comment 1 Iain Arnell 2011-02-26 06:36:16 UTC
+ source files match upstream.  
    f9898f6aa5ef1cb7eddb3e9caba736b2  Test-CheckManifest-1.22.tar.gz

+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ summary is OK.
- description is OK.
+ dist tag is present.
+ build root is OK.
+ license field matches the actual license.
    Artistic 2.0 (confirmed upstream at https://rt.cpan.org/Public/Bug/Display.html?id=65467)

+ license is open source-compatible.
+ license text not included upstream.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package builds in mock
    http://koji.fedoraproject.org/koji/taskinfo?taskID=2868872

+ package installs properly.
+ rpmlint has no meaningful complaints:
    perl-Test-CheckManifest.noarch: W: spelling-error Summary(en_US) distro -> distr, bistro, distr o
    perl-Test-CheckManifest.noarch: W: spelling-error %description -l en_US distro -> distr, bistro, distr o
    perl-Test-CheckManifest.src: W: spelling-error Summary(en_US) distro -> distr, bistro, distr o
    perl-Test-CheckManifest.src: W: spelling-error %description -l en_US distro -> distr, bistro, distr o
    2 packages and 0 specfiles checked; 0 errors, 4 warnings.

+ final provides and requires are sane:
    perl(Test::CheckManifest) = 1.22
    perl-Test-CheckManifest = 1.22-1.fc16
=
    perl(Carp)  
    perl(Cwd)  
    perl(File::Basename)  
    perl(File::Find)  
    perl(File::Spec)  
    perl(:MODULE_COMPAT_5.12.3)  
    perl(strict)  
    perl(Test::Builder)  
    perl(warnings)  

+ %check is present and all tests pass.
    PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
    t/00_load.t .......... ok
    t/01_selftest.t ...... ok
    t/98_boilerplate.t ... ok
    t/99_pod.t ........... ok
    t/99_pod_coverage.t .. ok
    All tests successful.
    Files=5, Tests=15,  0 wallclock secs ( 0.03 usr  0.01 sys +  0.27 cusr  0.04 csys =  0.35 CPU)
    Result: PASS

+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no generically named files
+ code, not content.
+ documentation is small, so no -doc subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.

The extra sub-directory is indeed necessary for tests to pass (but is such a PITA that I wouldn't recommend actually BuildRequiring this for other packages).

Description is incredibly weak. How about:

This package checks whether the Manifest file matches the distro or not. To match a distro the Manifest has to name all files that come along with the distribution.

APPROVED.

Comment 2 Ralf Corsepius 2011-02-27 14:46:31 UTC
Thanks once again, Iain.

I'll change the description to your proposal after import.

New Package SCM Request
=======================
Package Name: perl-Test-CheckManifest
Short Description: Check if your Manifest matches your distro
Owners: corsepiu
Branches: f13 f14 f15
InitialCC: perl-sig

Comment 3 Jason Tibbitts 2011-02-28 14:57:40 UTC
Git done (by process-git-requests).

Comment 4 Jose Pedro Oliveira 2011-08-12 22:22:26 UTC
Package Change Request
======================
Package Name: perl-Test-CheckManifest
New Branches: el6
Owners: jpo
InitialCC: perl-sig

[perl-Dancer requirement chain - see bug 729504]

Comment 5 Gwyn Ciesla 2011-08-13 14:35:26 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.